<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns="http://www.w3.org/1999/xhtml">
    <h:form id="validatorNameForm">
        <gri:popupPanel id="validator_name_modalpanel_editor">
            <f:facet name="header">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.EditValidatorName']}"/>
            </f:facet>
            <f:facet name="footer">
                <a4j:commandButton styleClass="gzl-btn"
                                   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                   onclick="jq162('#validator_name_modalpanel_editor').modal('hide')"
                                   execute="@this"/>
                <a4j:commandButton styleClass="gzl-btn-green"
                                   value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                   onclick="jq162('#validator_name_modalpanel_editor').modal('hide');"
                                   render="validator_name_content"/>
            </f:facet>
            <s:decorate id="validator_name_view">
                <a4j:region>
                    <s:decorate id="formvalidatorname" template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.ValidatorName']}</ui:define>
                        <h:inputText value="#{selectedRO.validatorName}" styleClass="form-control"/>
                    </s:decorate>
                </a4j:region>
            </s:decorate>
        </gri:popupPanel>
    </h:form>
    <h:form id="versionForm">
        <gri:popupPanel id="version_modalpanel_editor">
            <f:facet name="header">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.EditVersion']}"/>
            </f:facet>
            <f:facet name="footer">
                <a4j:commandButton styleClass="gzl-btn"
                                   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                   onclick="jq162('#version_modalpanel_editor').modal('hide')"
                                   execute="@this"/>
                <a4j:commandButton styleClass="gzl-btn-green"
                                   value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                   onclick="jq162('#version_modalpanel_editor').modal('hide');"
                                   render="version_content"/>
            </f:facet>
            <s:decorate id="version_view">
                <a4j:region>
                    <s:decorate id="formversion" template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Version']}</ui:define>
                        <h:inputText value="#{selectedRO.version}" styleClass="form-control"/>
                    </s:decorate>

                </a4j:region>
            </s:decorate>
        </gri:popupPanel>
    </h:form>

    <h:form id="tfForm">
        <gri:popupPanel id="tf_modalpanel_editor">
            <f:facet name="header">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.EditTechnicalFrameworkReference']}"/>
            </f:facet>
            <f:facet name="footer">
                <a4j:commandButton styleClass="gzl-btn"
                                   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                   onclick="jq162('#tf_modalpanel_editor').modal('hide')"
                                   execute="@this"/>
                <a4j:commandButton styleClass="gzl-btn-green"
                                   value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                   onclick="jq162('#tf_modalpanel_editor').modal('hide');"
                                   render="tf_content"/>
            </f:facet>
            <s:decorate id="tf_view">
                <a4j:region>
                    <s:decorate id="formtf" template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.TechnicalFrameworkReference']}
                        </ui:define>
                        <h:inputText value="#{selectedRO.technicalFramework}" styleClass="form-control"/>
                    </s:decorate>
                </a4j:region>
            </s:decorate>
        </gri:popupPanel>
    </h:form>
    <h:form id="namespaceForm">
        <gri:popupPanel id="namespace_add" bodyStyleClass="gzl-select-modal-overflow-visible">
            <f:facet name="header">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.EditNamespace']}"/>
            </f:facet>
            <f:facet name="footer">
                <a4j:commandButton styleClass="gzl-btn"
                                   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                   onclick="jq162('#namespace_add').modal('hide')"
                                   execute="@this"/>
                <a4j:commandButton styleClass="gzl-btn-green"
                                   value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                   onclick="jq162('#namespace_add').modal('hide');"
                                   render="namespace_content"/>
            </f:facet>
            <a4j:region>
                <s:decorate>
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Namespace']}</ui:define>
                        <h:selectOneMenu id="selectCar" styleClass="form-control gzl-form-control gzl-select-text"
                                         value="#{validatorPackClassEditorManager.selectedValidatorPackClass.namespaceEnum}">
                            <s:selectItems
                                    value="#{validatorPackClassEditorManager.getAvailableNamespace()}"
                                    var="cl"
                                    noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectAValue']}"
                                    label="#{cl.toString()}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                </s:decorate>
            </a4j:region>
        </gri:popupPanel>
    </h:form>
    <h:form id="nodeForm">
        <gri:popupPanel id="extract_node_add" bodyStyleClass="gzl-select-modal-overflow-visible">
            <f:facet name="header">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.EditExtractNode']}"/>
            </f:facet>
            <f:facet name="footer">
                <a4j:commandButton styleClass="gzl-btn"
                                   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                   onclick="jq162('#extract_node_add').modal('hide')"
                                   execute="@this"/>
                <a4j:commandButton styleClass="gzl-btn-green"
                                   value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                   onclick="jq162('#extract_node_add').modal('hide');"
                                   render="extract_node_content"/>
            </f:facet>
            <a4j:region>
                <s:decorate>
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.ExtractNode']}</ui:define>
                        <h:selectOneMenu id="selectCar" styleClass="form-control gzl-form-control gzl-select-text"
                                         value="#{validatorPackClassEditorManager.selectedValidatorPackClass.extractNodeEnum}">
                            <s:selectItems
                                    value="#{validatorPackClassEditorManager.getAvailableExtractNode()}"
                                    var="cl"
                                    noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectAValue']}"
                                    label="#{cl.toString()}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                </s:decorate>
            </a4j:region>
        </gri:popupPanel>
    </h:form>
    <h:form id="packForm">
        <gri:popupPanel id="pack_class_add" bodyStyleClass="gzl-select-modal-overflow-visible">
            <f:facet name="header">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.AddPackClass']}"/>
            </f:facet>
            <f:facet name="footer">
                <a4j:commandButton styleClass="gzl-btn"
                                   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                   onclick="jq162('#pack_class_add').modal('hide')"
                                   execute="@this"/>
                <a4j:commandButton styleClass="gzl-btn-green"
                                   value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                   actionListener="#{selectedRO.addPackClass(validatorPackClassEditorManager.selectedPackClass)}"
                                   onclick="jq162('#pack_class_add').modal('hide');"
                                   render="pack_class_content"/>
            </f:facet>
            <a4j:region>
                <div align="left">
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.PackClass']}</ui:define>
                        <h:selectOneMenu id="selectCar" styleClass="form-control gzl-form-control gzl-select-text"
                                         value="#{validatorPackClassEditorManager.selectedPackClass}">
                            <s:selectItems
                                    value="#{validatorPackClassEditorManager.getAvailablePackClass()}"
                                    var="cl"
                                    noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectAValue']}"
                                    label="#{cl.getPackClassShort()}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                </div>
            </a4j:region>
        </gri:popupPanel>
    </h:form>
    <h:form id="registryForm">
        <gri:popupPanel id="registry_object_metadata_add" bodyStyleClass="gzl-select-modal-overflow-visible">
            <f:facet name="header">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.AddAdhocQueryMetadata']}"/>
            </f:facet>
            <f:facet name="footer">
                <a4j:commandButton styleClass="gzl-btn"
                                   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                   onclick="jq162('#registry_object_metadata_add').modal('hide')"
                                   execute="@this"/>
                <a4j:commandButton styleClass="gzl-btn-green"
                                   value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                   actionListener="#{selectedRO.addRegistryObjectMetadata(validatorPackClassEditorManager.selectedRegistryObjectMetadata)}"
                                   onclick="jq162('#registry_object_metadata_add').modal('hide');"
                                   render="registry_object_metadata_content"/>
            </f:facet>
            <a4j:region>
                <s:decorate>
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.AdhocQueryMetadata']}</ui:define>
                        <h:selectOneMenu id="selectCar" styleClass="form-control gzl-form-control gzl-select-text"
                                         value="#{validatorPackClassEditorManager.selectedRegistryObjectMetadata}">
                            <s:selectItems
                                    value="#{validatorPackClassEditorManager.getAvailableRegistryObjectMetadatas()}"
                                    var="cl"
                                    noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectAValue']}"
                                    label="#{cl.displayAttributeName}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                </s:decorate>
            </a4j:region>
        </gri:popupPanel>
    </h:form>
    <h:form id="metadataCodesForm">
        <gri:popupPanel id="metadataCodes_add" bodyStyleClass="gzl-select-modal-overflow-visible">
            <f:facet name="header">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.EditMetadataCodes']}"/>
            </f:facet>
            <f:facet name="footer">
                <a4j:commandButton styleClass="gzl-btn"
                                   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                   onclick="jq162('#metadataCodes_add').modal('hide')"
                                   execute="@this"/>
                <a4j:commandButton styleClass="gzl-btn-green"
                                   value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                   actionListener="#{selectedRO.setMetadataCodes(validatorPackClassEditorManager.selectedMetadataCodes)}"
                                   onclick="jq162('#metadataCodes_add').modal('hide');"
                                   render="metadataCodes_content"/>
            </f:facet>
            <a4j:region>
                <s:decorate>
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.MetadataCodes']}</ui:define>
                        <h:selectOneMenu id="selectCar" styleClass="form-control gzl-form-control gzl-select-text"
                                         value="#{validatorPackClassEditorManager.selectedMetadataCodes}">
                            <s:selectItems
                                    value="#{validatorPackClassEditorManager.getAvailableMetadataCodes()}"
                                    var="cl"
                                    noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectAValue']}"
                                    label="#{cl.nistCodeName}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                </s:decorate>
            </a4j:region>
        </gri:popupPanel>
    </h:form>
    <h:form id="registryObjectForm">
        <gri:popupPanel id="registry_object_list_metadata_add" bodyStyleClass="gzl-select-modal-overflow-visible">
            <f:facet name="header">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.EditRegistryObjectListMetadata']}"/>
            </f:facet>
            <f:facet name="footer">
                <a4j:commandButton styleClass="gzl-btn"
                                   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                   onclick="jq162('#registry_object_list_metadata_add').modal('hide')"
                                   execute="@this"/>
                <a4j:commandButton styleClass="gzl-btn-green"
                                   value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                   onclick="jq162('#registry_object_list_metadata_add').modal('hide');"
                                   render="registry_object_list_metadata_content"/>
            </f:facet>
            <a4j:region>
                <s:decorate>
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.RegistryObjectListMetadata']}
                        </ui:define>
                        <h:selectOneMenu id="selectCar" styleClass="form-control gzl-form-control gzl-select-text"
                                         value="#{validatorPackClassEditorManager.selectedValidatorPackClass.registryObjectListMetadata}">
                            <s:selectItems
                                    value="#{validatorPackClassEditorManager.getAvailableRegistryObjectListMetadatas()}"
                                    var="cl"
                                    noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectAValue']}"
                                    label="#{cl.displayAttributeName}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                </s:decorate>
            </a4j:region>
        </gri:popupPanel>
    </h:form>
    <h:form id="usagesForm">
        <gri:popupPanel id="usages_add" bodyStyleClass="gzl-select-modal-overflow-visible">
            <f:facet name="header">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.AddUsage']}"/>
            </f:facet>
            <f:facet name="footer">
                <a4j:commandButton styleClass="gzl-btn"
                                   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                   onclick="jq162('#usages_add').modal('hide')" execute="@this"/>
                <a4j:commandButton styleClass="gzl-btn-green"
                                   value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                   actionListener="#{selectedRO.usages.add(commonROManager.selectedUsage)}"
                                   onclick="jq162('#usages_add').modal('hide');"
                                   render="usages_content"/>
            </f:facet>
            <a4j:region>
                <s:decorate>
                    #{commonROManager.setSelectedUsage(null)}
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Usage']}</ui:define>
                        <h:selectOneMenu id="selectCar" value="#{commonROManager.selectedUsage}"
                                         styleClass="form-control gzl-form-control gzl-select-text">
                            <s:selectItems
                                    value="#{metadataEditorManager.getAvailableUsages()}" var="cl"
                                    noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectAValue']}"
                                    label="#{cl.affinity.keyword} =&gt; #{cl.transaction.keyword}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                </s:decorate>
            </a4j:region>
        </gri:popupPanel>
    </h:form>
</ui:composition>